## chr 0.1.79

=== meson_options.txt ===
# SPDX-License-Identifier: BSL-1.0

option('syntax_highlighting', type: 'boolean', value: false, description: 'enable syntax highlighting (needs KF5SyntaxHighlighting)')
option('system-catch2', type : 'feature', value : 'disabled')
option('version', type : 'string', value : 'git')

=== debian/changelog ===
chr (0.1.79-1) unstable; urgency=medium

  * New upstream version 0.1.79
    - fix: FTBFS on riscv64 due to test timeout, thanks Aurelien Jarno.
      (Closes: #1071085)
  * Bump standards version to 4.7.0.
  * Add tar to uploaders.
  * d/control:
    - update long description.
    - update Vcs fields to https://salsa.debian.org/debian/chr

 -- Christoph Hueffelmann <chr@istoph.de>  Thu, 30 May 2024 10:19:46 +0000

chr (0.1.78-1) unstable; urgency=medium

  * New upstream version 0.1.78
  * remove: Hardcode build-depends on library pkg libqt5concurrent5, blocks
    time_64 transition
    (Closes: #1069055)

 -- Christoph Hueffelmann <chr@istoph.de>  Mon, 15 Apr 2024 21:00:00 +0200

chr (0.1.77-1) unstable; urgency=medium

  * Initial release.
    (Closes: #1059361)

 -- Christoph Hueffelmann <chr@istoph.de>  Mon, 26 Feb 2024 20:26:31 +0100

=== debian/control ===
Source: chr
Maintainer: Christoph Hueffelmann <chr@istoph.de>
Uploaders: Martin Hostettler <textshell@uchuujin.de>, Alex Myczko <tar@debian.org>
Section: editors
Priority: optional
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 meson,
 ninja-build,
 pkgconf,
 qt5-qmake,
 qttools5-dev-tools,
 qtbase5-dev,
 catch2,
 libtermpaint-dev,
 libposixsignalmanager-dev,
 libtuiwidgets-dev (>=0.2.1~),
 libkf5syntaxhighlighting-dev,
 libkf5syntaxhighlighting-tools
Homepage: https://github.com/istoph/editor
Vcs-Git: https://salsa.debian.org/debian/chr.git
Vcs-Browser: https://salsa.debian.org/debian/chr

Package: chr
Provides: editor
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Multi-Arch: foreign
Breaks: chr-tiny
Conflicts: chr-tiny
Replaces: chr-tiny
Description: terminal-based text editor
 It is designed to a be simple editor that is easy to use for users
 coming from desktop environments.
 .
 Keyboard shortcuts are similar to the default editors in GNOME, KDE
 and other desktop environments.
 .
 For example text is selected using shift+arrow keys, copy and paste
 uses ctrl+c and ctrl+v and there is a drop down menu(F10) to discover
 additional features and settings.
 .
 The look and feel is a blend of modern GUI editors and late 90s PC
 text mode editors (e.g. Turbo Vision based or edit.com) adapted to fit
 into terminal based workflows.
 .
 It implements many features like:
  - selecting text by holding Shift
  - usable without a complicated config file
  - block selection
  - multi windows (overlapping, tiled, fullscreen)
  - text from full width windows can be copied from the terminal without
    window borders, scrollbars or additional spaces interfering.
  - syntax highlighting
  - undo/redo
  - display line numbers
  - soft-wrapping of long lines
  - interactive search and replace (with regular expression support)
  - go-to line (and column) command
  - support stdin buffers
  - drop down menus

Package: chr-tiny
Provides: editor
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Multi-Arch: foreign
Description: terminal-based text editor - without syntax highlighting
 It is designed to a be simple editor that is easy to use for users
 coming from desktop environments.
 .
 Keyboard shortcuts are similar to the default editors in GNOME, KDE
 and other desktop environments.
 .
 For example text is selected using shift+arrow keys, copy and paste
 uses ctrl+c and ctrl+v and there is a drop down menu(F10) to discover
 additional features and settings.
 .
 The look and feel is a blend of modern GUI editors and late 90s PC
 text mode editors (e.g. Turbo Vision based or edit.com) adapted to fit
 into terminal based workflows.
 .
 It implements many features like:
  - selecting text by holding Shift
  - usable without a complicated config file
  - block selection
  - multi windows (overlapping, tiled, fullscreen)
  - text from full width windows can be copied from the terminal without
    window borders, scrollbars or additional spaces interfering.
  - undo/redo
  - display line numbers
  - soft-wrapping of long lines
  - interactive search and replace (with regular expression support)
  - go-to line (and column) command
  - support stdin buffers
  - drop down menus
 .
 The tiny version is compiled without support for syntax highlighting.

=== debian/tests/control ===

Tests: test-chr
Depends: chr
Restrictions: superficial

Tests: test-chr-tiny
Depends: chr-tiny
Restrictions: superficial

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/editor-$1\.tar\.gz/ \
  https://github.com/istoph/editor/tags .*/v?(\d\S+)\.tar\.gz

## chr 0.1.80

=== meson_options.txt ===
# SPDX-License-Identifier: BSL-1.0

option('rpath', type : 'string', value : '')
option('syntax_highlighting', type: 'boolean', value: false, description: 'enable syntax highlighting (needs KF5SyntaxHighlighting)')
option('system-catch2', type : 'feature', value : 'disabled')
option('tests', type : 'boolean', value : true)
option('version', type : 'string', value : 'git')

=== debian/changelog ===
chr (0.1.80-1) unstable; urgency=medium

  * New upstream version 0.1.80
    - update tuiwidgets dependency to 0.2.2
  * Bump standards version to 4.7.2
  * Update d/copyright

 -- Christoph Hueffelmann <chr@istoph.de>  Mon, 07 Apr 2025 17:27:09 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Martin Hostettler <textshell@uchuujin.de>, Alex Myczko <tar@debian.org>
 Section: editors
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -17,7 +17,7 @@
  catch2,
  libtermpaint-dev,
  libposixsignalmanager-dev,
- libtuiwidgets-dev (>=0.2.1~),
+ libtuiwidgets-dev (>=0.2.2~),
  libkf5syntaxhighlighting-dev,
  libkf5syntaxhighlighting-tools
 Homepage: https://github.com/istoph/editor

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

build_edit=$(CURDIR)/build-edit
build_tiny=$(CURDIR)/build-tiny

CONFFLAGS_edit = -Dversion=$(DEB_VERSION_UPSTREAM) -Dsyntax_highlighting=true
CONFFLAGS_tiny = -Dversion=$(DEB_VERSION_UPSTREAM)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddirectory=$(build_edit) -- $(CONFFLAGS_edit)
	dh_auto_configure --builddirectory=$(build_tiny) -- $(CONFFLAGS_tiny)

override_dh_auto_build:
	dh_auto_build --builddirectory=$(build_edit)
	dh_auto_build --builddirectory=$(build_tiny)

override_dh_auto_test:
	dh_auto_test --builddirectory=$(build_edit)
	dh_auto_test --builddirectory=$(build_tiny)

override_dh_auto_install:
	dh_auto_install --builddirectory=$(build_edit) --destdir=debian/chr
	dh_auto_install --builddirectory=$(build_tiny) --destdir=debian/chr-tiny

override_dh_auto_clean:
	dh_auto_clean --builddirectory=$(build_edit)
	dh_auto_clean --builddirectory=$(build_tiny)

## chr 0.1.81

=== meson_options.txt ===
# SPDX-License-Identifier: BSL-1.0

option('qt', type : 'combo', choices : ['qt5', 'qt6'], value : 'qt5')
option('rpath', type : 'string', value : '')
option('syntax_highlighting', type: 'boolean', value: false, description: 'enable syntax highlighting (needs KF5SyntaxHighlighting or KF6SyntaxHighlighting)')
option('system-catch2', type : 'feature', value : 'disabled')
option('tests', type : 'boolean', value : true)
option('version', type : 'string', value : 'git')

=== debian/changelog ===
chr (0.1.81-1) unstable; urgency=medium

  * New upstream version 0.1.81
  * Build using Qt6.
  * Update upstream github url.

 -- Christoph Hueffelmann <chr@istoph.de>  Mon, 17 Nov 2025 20:23:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,23 @@
 Section: editors
 Priority: optional
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
  meson,
  ninja-build,
  pkgconf,
- qt5-qmake,
- qttools5-dev-tools,
- qtbase5-dev,
+ qmake6,
+ qt6-base-dev,
+ qt6-tools-dev-tools,
+ qt6-5compat-dev,
  catch2,
  libtermpaint-dev,
- libposixsignalmanager-dev,
- libtuiwidgets-dev (>=0.2.2~),
- libkf5syntaxhighlighting-dev,
- libkf5syntaxhighlighting-tools
+ libposixsignalmanager-qt6-dev,
+ libtuiwidgets-qt6-0a,
+ libtuiwidgets-qt6-dev,
+ libkf6syntaxhighlighting-dev,
+ libkf6syntaxhighlighting-tools
 Homepage: https://github.com/istoph/editor
 Vcs-Git: https://salsa.debian.org/debian/chr.git
 Vcs-Browser: https://salsa.debian.org/debian/chr

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,8 @@
 build_edit=$(CURDIR)/build-edit
 build_tiny=$(CURDIR)/build-tiny
 
-CONFFLAGS_edit = -Dversion=$(DEB_VERSION_UPSTREAM) -Dsyntax_highlighting=true
-CONFFLAGS_tiny = -Dversion=$(DEB_VERSION_UPSTREAM)
+CONFFLAGS_edit = -Dversion=$(DEB_VERSION_UPSTREAM) -Dqt=qt6 -Dsyntax_highlighting=true
+CONFFLAGS_tiny = -Dversion=$(DEB_VERSION_UPSTREAM) -Dqt=qt6
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/chr-$1\.tar\.gz/ \
  https://github.com/chr-editor/chr/tags .*/v?(\d\S+)\.tar\.gz
